[Bug 257375] net/openldap24-client: organizations needing LDAP SASL support cannot use pre-built packages

From: <bugzilla-noreply_at_freebsd.org>
Date: Sat, 24 Jul 2021 04:52:23 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257375

            Bug ID: 257375
           Summary: net/openldap24-client: organizations needing LDAP SASL
                    support cannot use pre-built packages
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Many People
          Priority: ---
         Component: Individual Port(s)
          Assignee: delphij_at_FreeBSD.org
          Reporter: obrien_at_FreeBSD.org
             Flags: maintainer-feedback?(delphij_at_FreeBSD.org)
          Assignee: delphij_at_FreeBSD.org

As an example, Juniper Networks needs openldap-sasl-client in order to
authenticate on our FreeBSD build systems.  But openldap-client is a dependacy
for a LARGE number of other ports we need to use.


The 'ldd' difference that SASL support adds is only:
 /usr/local/bin/ldapsearch:
        libldap-2.4.so.2 => /usr/local/lib/libldap-2.4.so.2
        liblber-2.4.so.2 => /usr/local/lib/liblber-2.4.so.2
+       libsasl2.so.3 => /usr/local/lib/libsasl2.so.3
        libssl.so.111 => /usr/lib/libssl.so.111
        libcrypto.so.111 => /lib/libcrypto.so.111
        libc.so.7 => /lib/libc.so.7
+       libdl.so.1 => /usr/lib/libdl.so.1
        libthr.so.3 => /lib/libthr.so.3

I do not see this as a burden given the LARGE number of dependancies most of
our other ports have grown in the last decade as every knob of functionality
seems turned on in many.

SASL support should be the default for openldap-client given it is so low cost,
but the cost of having to build 1000 packages from source is a high burden on
an organization.

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Sat Jul 24 2021 - 04:52:23 UTC

Original text of this message